PUT api/recaudaciones/{idVisita}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| idVisita | integer |
Required |
Body Parameters
Recaudacion| Name | Description | Type | Additional information |
|---|---|---|---|
| IdVisita | integer |
None. |
|
| Fecha | date |
None. |
|
| IdInstalacion | integer |
None. |
|
| NombreEstablecimiento | string |
None. |
|
| TotalMonedasTeorico | decimal number |
None. |
|
| TotalBilletesTeorico | decimal number |
None. |
|
| TotalVentasTarjetas | decimal number |
None. |
|
| TotalMonedasContado | decimal number |
None. |
|
| TotalBilletesContado | decimal number |
None. |
|
| tieneNotas | boolean |
None. |
|
| totalNulos | decimal number |
None. |
|
| estado | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"IdVisita": 1,
"Fecha": "2026-06-29T05:18:10.8176502+03:00",
"IdInstalacion": 3,
"NombreEstablecimiento": "sample string 4",
"TotalMonedasTeorico": 5.0,
"TotalBilletesTeorico": 6.0,
"TotalVentasTarjetas": 7.0,
"TotalMonedasContado": 8.0,
"TotalBilletesContado": 9.0,
"tieneNotas": true,
"totalNulos": 11.0,
"estado": 12
}
application/xml, text/xml
Sample:
<RecaudacionesController.Recaudacion xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VendingAPI.Controllers"> <Fecha>2026-06-29T05:18:10.8176502+03:00</Fecha> <IdInstalacion>3</IdInstalacion> <IdVisita>1</IdVisita> <NombreEstablecimiento>sample string 4</NombreEstablecimiento> <TotalBilletesContado>9</TotalBilletesContado> <TotalBilletesTeorico>6</TotalBilletesTeorico> <TotalMonedasContado>8</TotalMonedasContado> <TotalMonedasTeorico>5</TotalMonedasTeorico> <TotalVentasTarjetas>7</TotalVentasTarjetas> <estado>12</estado> <tieneNotas>true</tieneNotas> <totalNulos>11</totalNulos> </RecaudacionesController.Recaudacion>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |